//- instant-article-rss.pug - Facebook Instant article feed

doctype xml

include ../mixins

mixin cdata()
  - pug_html += "<![CDATA[";
  block
  - pug_html += "]]>";

rss(version="2.0", xmlns:content="http://purl.org/rss/1.0/modules/content/")
  channel
    title= config.siteName
    link= config.url
    description= config.description
    language= config.locale
    lastBuildDate= new Date().toISOString()
    each item in items
      item
        title= item.title
        link= `${config.url}/item/${item.itemId}.html`
        guid= item.itemId
        description= item.description.text
        pubDate= item.date.toISOString()
        content:encoded
          - pug_html = pug_html + "<![CDATA[" + renderInstantArticle(item) + "]]>"
